package com.tuoheng.system.api.feign;

import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.system.api.feign.fallback.UserClientFallback;
import com.tuoheng.system.api.vo.UserInfo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * 用户客户端
 */
@FeignClient(name = "tuoheng-system", fallback = UserClientFallback.class)
public interface UserClient {

    /**
     * 根据用户名获取信息
     *
     * @param username 用户名
     * @return
     */
    @GetMapping("/user/info/{username}")
    JsonResult<UserInfo> getInfoByName(@PathVariable("username") String username);

}
