package com.tuoheng.system.api.feign.fallback;

import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.system.api.feign.UserClient;
import com.tuoheng.system.api.vo.UserInfo;
import org.springframework.stereotype.Component;

/**
 * 用户服务处理回调处理
 */
@Component
public class UserClientFallback implements UserClient {

    /**
     * 根据用户名获取信息
     *
     * @param username 用户名
     * @return
     */
    @Override
    public JsonResult<UserInfo> getInfoByName(String username) {
        return JsonResult.error("用户服务调用失败");
    }
}
