package com.tuoheng.system.controller;


import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.system.api.vo.UserInfo;
import com.tuoheng.system.service.IUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import com.tuoheng.common.core.common.BaseController;

/**
 * <p>
 * 后台用户管理表 前端控制器
 * </p>
 *
 * @author 拓恒
 * @since 2022-06-21
 */
@RestController
@RequestMapping("/user")
public class UserController extends BaseController {

    @Autowired
    private IUserService userService;

    /**
     * 根据姓名获取用户信息
     *
     * @param username 用户名
     * @return
     */
    @GetMapping("/info/{username}")
    public JsonResult<UserInfo> info(@PathVariable("username") String username) {
        return userService.getInfoByName(username);
    }

}
