package com.tuoheng.system.service;

import com.tuoheng.common.core.common.IBaseService;
import com.tuoheng.system.entity.City;
import com.tuoheng.system.vo.CityInfoVo;

import java.util.List;

/**
 * <p>
 * 高德城市表 服务类
 * </p>
 *
 * @author 拓恒
 * @since 2020-11-03
 */
public interface ICityService extends IBaseService<City> {

    /**
     * 根据城市编码获取城市信息
     *
     * @param cityCode  城市编码
     * @param delimiter 分隔符号
     * @return
     */
    String getCityNameByCode(String cityCode, String delimiter);

    /**
     * 根据城市编码获取城市信息
     *
     * @param cityCode  城市编码
     * @param delimiter 分隔符号
     * @return
     */
    CityInfoVo getCityInfoByCode(String cityCode, String delimiter);

    /**
     * 获取行政区列表
     *
     * @return 行政区列表
     */
    List<City> getCityList();
}
