package com.tuoheng.system.service.impl;

import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.system.api.entity.User;
import com.tuoheng.system.api.vo.UserInfo;
import com.tuoheng.system.mapper.UserMapper;
import com.tuoheng.system.service.IUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.HashSet;
import java.util.Set;

/**
 * <p>
 * 后台用户管理表 服务实现类
 * </p>
 *
 * @author 拓恒
 * @since 2022-06-21
 */
@Service
public class UserServiceImpl extends ServiceImpl<UserMapper, User> implements IUserService {

    /**
     * 根据姓名获取用户信息
     *
     * @param username 用户名
     * @return
     */
    @Override
    public JsonResult<UserInfo> getInfoByName(String username) {
        // 用户信息
        UserInfo userInfo = new UserInfo();

        // 用户对象
        User user = new User();
        user.setId(1);
        user.setUsername("admin");
        user.setPassword("$2a$10$dJILKEslsQoBHskYYCIkz.x30jNv3YFBDG6xfqIdwqIpe/ARNetIy");
        userInfo.setUser(user);

        // 用户角色
        Set<String> roles = new HashSet<String>();
        roles.add("ROLE_ADMIN");
        userInfo.setRoles(roles);

        // 用户权限
        Set<String> permissions = new HashSet<String>();
        userInfo.setPermissions(permissions);

        return JsonResult.success(userInfo);
    }
}
