package com.tuoheng.task.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * 云盒表
 *
 * @author WangHaoran
 * @since 2022-06-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_cloud_box")
public class CloudBox extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 云盒SN号
     */
    @NotBlank(message = "云盒SN号不能为空！")
    private String boxSn;

    /**
     * 云盒名称
     */
    @NotBlank(message = "云盒名称不能为空！")
    private String boxName;

    /**
     * 启用状态：1已启用 2未启用
     */
    private Integer status;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 备注
     */
    private String note;

    /**
     * 添加人名称
     */
    private String createUserName;

    /**
     * 更新人名称
     */
    private String updateUserName;
    
}
