package com.tuoheng.task.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 飞行设备表
 *
 * @author WangHaoran
 * @since 2022-06-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_equipment")
public class Equipment extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 设备编号
     */
    @NotBlank(message = "设备编号不能为空！")
    private String code;

    /**
     * 设备名称
     */
    @NotBlank(message = "设备名称不能为空！")
    private String name;

    /**
     * 内置摄像头：1精灵4摄像头 2精灵4pro摄像头 3M600PRO-01 4MAVIC2
     */
    private Integer camera;

    /**
     * 产品序号
     */
    @NotBlank(message = "产品序号不能为空！")
    private String productSn;

    /**
     * 产品等级：1微型 2轻型 3小型 4中型 5大型 6其他
     */
    @NotNull(message = "产品等级不能为空！")
    private Integer productLevel;

    /**
     * 飞控序号
     */
    private String flightSn;

    /**
     * 动力类型：1电动 2油动 3混合
     */
    @NotNull(message = "动力类型不能为空！")
    private Integer powerType;

    /**
     * 定位精度(单位：米)
     */
    private BigDecimal accuracy;

    /**
     * 生产厂家
     */
    @NotBlank(message = "生产厂家不能为空！")
    private String manufacturer;

    /**
     * 产品类型：1多旋翼 2固定翼 3垂直起降
     */
    @NotNull(message = "产品类型不能为空！")
    private Integer type;

    /**
     * 续航时间(单位：分钟)
     */
    private Integer lifeTime;

    /**
     * 状态：1正常 2停用
     */
    private Integer status;

    /**
     * 添加人名称
     */
    private String createUserName;

    /**
     * 更新人名称
     */
    private String updateUserName;
}
