package com.tuoheng.task.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 挂载设备表
 *
 * @author WangHaoran
 * @since 2022-06-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_equipment_mount")
public class EquipmentMount extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 设备编号
     */
    @NotBlank(message = "设备编号不能为空！")
    private String code;

    /**
     * 设备名称
     */
    private String name;

    /**
     * 类型：1高清相机 2多光谱相机 3空中喊话 4大功率照明 5双光热成像相机 6抛投钩
     * 7抛投绳 8无人机喷火枪 9灭火弹抛投器 10气体采集盒 11无人机取水器 12其他
     */
    @NotNull(message = "类型不能为空！")
    private Integer type;

    /**
     * 备注
     */
    private String note;

    /**
     * 状态：1在用 2停用
     */
    private Integer status;

    /**
     * 添加人名称
     */
    private String createUserName;

    /**
     * 更新人名称
     */
    private String updateUserName;

}
