package com.tuoheng.task.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * 河流表
 *
 * @author WangHaoran
 * @since 2022-06-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_stream")
public class Stream extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 河流名称
     */
    @NotBlank(message = "河流名称不能为空！")
    private String name;

    /**
     * 省份编码
     */
    @NotBlank(message = "省份编码不能为空！")
    private String provinceCode;

    /**
     * 城市编码
     */
    private String cityCode;

    /**
     * 区县编码
     */
    private String districtCode;

    /**
     * 街道编码
     */
    private String streetCode;

    /**
     * 河流长度
     */
    @NotBlank(message = "河流长度不能为空！")
    private String length;

    /**
     * 备注
     */
    private String note;

    /**
     * 状态：1正常 2停用
     */
    private Integer status;

    /**
     * 添加人名称
     */
    private String createUserName;

    /**
     * 更新人名称
     */
    private String updateUserName;

}
